@echo off
rem MakeDisk Script - Version 1.3

set NBVER=6.4

rem if 0%1==0 set drv=A:
rem if not 0%1==0 set drv=%1

title NetBootDisk.com - The Universal TCP/IP Network Bootdisk for M$ Networks
color 9F
cls
ECHO --------------------------------------------------------------------------
echo  NetBootDisk.com - The UNIVERSAL TCP/IP NETWORK BOOTDISK for M$ Networks
echo                        *** Disk Creation Script ***
ECHO --------------------------------------------------------------------------
echo                    w w w . N e t B o o t D i s k . c o m
echo.
echo PLEASE INSERT ONE OF THE FOLLOWING TYPES OF BOOTDISKS IN TO DISK DRIVE
echo.
echo     * A formatted Windows XP Startup Disk *recommended*
echo     * A formatted PC-DOS 7.0 Boot Disk
echo     * A NetBootDisk v5.7 or newer (to update)
echo     * A USB Memory Stick (that is ALREADY formatted as bootable!)
echo.
echo       *** This startup disk MUST be formatted from Windows XP/ME ***
echo        *** Windows 95/98 or older DOS bootdisks can not be used ***
echo       --- If this script fails; try using a newly formatted disk ---
echo.
echo.
echo   To create a startup disk in Windows XP:
echo      1) Go to Windows Explorer
echo      2) Right click on A: drive and select "Format..."
echo      3) Tick the "Create an MS-DOS startup disk" option
echo      4) Press the button to begin the format
echo.
echo Press any key once one of the following disks is the drive...
pause>nul

:drive
cls
echo.
echo Enter the disk drive letter to build NetBootDisk on:
echo The drive letter collin must be included. eg: "A:" not just "A". 
echo This build script isn't that smart :)
echo.
echo Examples:   A:  or  B:  or  X:  etc
echo.
echo.
set /p drv="Enter Disk Drive letter, or press enter for A: >"
if %drv%0==0 set drv=A:

echo.
echo Testing Drive Letter...
if exist %drv%\ goto DriveOK
echo.
echo ERROR: Drive %drv%\ appears to be invalid. Is this drive letter correct? 
echo TIP: Make sure there is a disk in the drive.
echo TIP: Don't forget to include the collin, eg: 'A:' not just 'A'
pause
goto drive

:DriveOK
echo Drive %drv%\ appears ok
echo.
echo.
echo.
echo Is this disk a floppy disk or USB Memory Stick?
echo.
set /p IsUSB="Enter 'USB' without quotes for USB, or press enter for floppy disk >"
if %IsUSB%0==USB0 goto MakeUSB
if %IsUSB%0==usb0 goto MakeUSB


echo Checking Disk in %drv%...
if not exist %drv%\command.com goto NotXP
if not exist %drv%\display.sys goto NotXP
if not exist %drv%\ega.cpi goto NotXP
if not exist %drv%\ega2.cpi goto NotXP
if not exist %drv%\ega3.cpi goto NotXP
if not exist %drv%\io.sys goto NotXP
if not exist %drv%\keyb.com goto NotXP
if not exist %drv%\keyboard.sys goto NotXP
if not exist %drv%\keybrd2.sys goto NotXP
if not exist %drv%\keybrd3.sys goto NotXP
if not exist %drv%\keybrd4.sys goto NotXP
if not exist %drv%\mode.com goto NotXP
if not exist %drv%\msdos.sys goto NotXP
echo * Windows XP Startup disk found!
echo.
echo Removing Unrequired DOS Files from disk...
del %drv%\display.sys
del %drv%\ega.cpi
del %drv%\ega2.cpi
del %drv%\ega3.cpi
del %drv%\keyb.com
del %drv%\keyboard.sys
del %drv%\keybrd2.sys
del %drv%\keybrd3.sys
del %drv%\keybrd4.sys
del %drv%\mode.com

goto CommonPart

:MakeUSB
echo.
echo PLEASE NOTE: This Build Script may not build USB NetBootDisks correctly yet.
echo (Scripted USB bootdisk conversion is still work in progress.)
echo See http://www.netbootdisk.com/usb_boot.htm for manual instructions.
echo.
pause
echo.
echo.


goto CommonPart


:NotXP
if not exist %drv%\COMMAND.COM goto NotPCDOS
if not exist %drv%\HIMEM.SYS goto NotPCDOS 
if not exist %drv%\IBMDOS.COM goto NotPCDOS
if not exist %drv%\IBMBIO.COM goto NotPCDOS

echo * PCDOS bootdisk found!
echo.
echo *** IMPORTANT *** 
echo You will have to manually edit A:\config.sys to uncomment the HIMEM.SYS 
echo.
echo.
pause

echo Removing Unrequired DOS Files from disk...
attrib %drv%\command.com +h 
attrib %drv%\himem.sys +h 
del /f /q %drv%\*.* 
attrib %drv%\command.com -h 
attrib %drv%\himem.sys -h 

goto CommonPart


:NotPCDOS
if not exist %drv%\NetBoot\menupref.bat goto BadDisk

echo * Existing Network Bootdisk found!
echo.
rem XMSDSK is no longer required for v5.9+...
if exist %drv%\NetBoot\XMSDSK.EXE del %drv%\NetBoot\XMSDSK.EXE

:CommonPart

echo Creating Directory Structure...
if not exist %drv%\NetBoot md %drv%\NetBoot
if not exist %drv%\NetBoot\FileCopy md %drv%\NetBoot\FileCopy

if exist %drv%\NetBoot\boot.zip goto cmdOK
	echo Copying/Creating boot.zip...
	copy .\build\unuharcd.zip %temp%\boot.zip

	if %IsUSB%0==usb0 goto SkipCOM
	if %IsUSB%0==USB0 goto SkipCOM
	echo Compressing command.com to boot.zip...
	set TZ=0
	.\build\zip -m %temp%\boot.zip %drv%\command.com
	.\build\zip -F %temp%\boot.zip
	set TZ=

	if exist %temp%\boot.zip if exist %drv%\command.com del %drv%\command.com
:SkipCOM
	move %temp%\boot.zip %drv%\NetBoot\boot.zip
:cmdOK

echo Copying Files to disk...
copy .\files\*.* %drv%\
copy .\files\NetBoot\*.* %drv%\NetBoot
copy /-y .\files\NetBoot\filecopy\*.* %drv%\NetBoot\filecopy
if exist %temp%\menupref.bat move /y %temp%\menupref.bat %drv%\menupref.bat
echo.
echo Labeling Disk...
label %drv% NetBootDisk
echo.
echo.
echo.
echo *************** NETWORK BOOTDISK CREATED! ***************
echo Please scroll up and check above for any errors!
echo.
echo Disk Status...
dir %drv% |find /i "bytes free"
echo.
if %IsUSB%0==usb0 goto SkipInfo
if %IsUSB%0==USB0 goto SkipCOM
echo TIP! - COMMAND.COM Missing?? Command.com *should* now be inside %drv%\BOOT.ZIP, unlike a normal disk 
echo where it's in the root directory. This little trick saves space, however some people have had 
echo problems with the script not doing this part correctly.
:SkipInfo
start http://www.NetBootDisk.com/DiskCreated.htm?%NBVER%#%NBVER%
goto end


:BadDisk
echo.
echo ERROR: The disk in drive %drv% is not a correct type of bootdisk.
echo Please use a only use WinXP, PCDOS 7, or a recent version of the NetBootDisk to update.


:END
set NBVER=
echo.
pause